llvm.org GIT mirror llvm / 93051ef cmake / modules / LLVMConfigVersion.cmake.in
93051ef

Tree @93051ef (Download .tar.gz)

LLVMConfigVersion.cmake.in @93051efraw · history · blame

set(PACKAGE_VERSION "@PACKAGE_VERSION@")

# LLVM is API-compatible only with matching major.minor versions
# and patch versions not less than that requested.
if("@LLVM_VERSION_MAJOR@.@LLVM_VERSION_MINOR@" VERSION_EQUAL
    "${PACKAGE_FIND_VERSION_MAJOR}.${PACKAGE_FIND_VERSION_MINOR}"
   AND NOT "@LLVM_VERSION_PATCH@" VERSION_LESS "${PACKAGE_FIND_VERSION_PATCH}")
  set(PACKAGE_VERSION_COMPATIBLE 1)
  if("@LLVM_VERSION_PATCH@" VERSION_EQUAL
      "${PACKAGE_FIND_VERSION_PATCH}")
    set(PACKAGE_VERSION_EXACT 1)
  endif()
endif()